

FMC_BUS ?= fmc-bus
SPEC_SW ?= spec-sw
CONFIG_SPACE ?= fpga-config-space/sdbfs/lib fpga-config-space/sdbfs/userspace
CP210X ?= cp210x

FMC_BUS_ABS ?= $(abspath $(FMC_BUS) )
SPEC_SW_ABS ?= $(abspath $(SPEC_SW) )
CONFIG_SPACE_ABS ?= $(abspath $(CONFIG_SPACE) )
CP210X_ABS ?= $(abspath $(CP210X) )


DIRS = $(FMC_BUS_ABS) $(SPEC_SW_ABS) $(CONFIG_SPACE_ABS) $(CP210X_ABS)

.PHONY: all clean modules $(DIRS) $(PROJ)

all modules install modules_install: $(DIRS) 

clean : $(DIRS) 

clean : TARGET = clean

$(DIRS):
	$(MAKE) -C $@ $(TARGET) \
					FMC_BUS=$(FMC_BUS_ABS) \
					SPEC_SW=$(SPEC_SW_ABS) \
					CP210X=$(CP210X_ABS)

